
Foreman - Bug #2792

If you delete "PXE Localboot Default" cancel build fails

07/15/2013 10:19 AM - Florian Rosenegger

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

i deleted the Provisioning template "PXE Localboot Default" and after that it was no longer possible to cancel a build for a host.

The error i got was:

Failed to save: Failed to generate PXELinux template: undefined method `template' for nil:NilClass

Via finish.sh script i also tried to call https://foreman/unattended/built but i only got a 409.

So maybe it would be good to make the Template undeleteable.

Thanks,

Florian

Related issues:

Related to Foreman - Feature #3103: Read only provisioning/config templates f... Closed 09/17/2013

Related to Foreman - Feature #7484: Per-subnet PXELinux global default files New 09/17/2014

Has duplicate Foreman - Bug #2215: When PXE Localboot Default is deleted, cau... Duplicate 02/17/2013

Has duplicate Foreman - Bug #4008: Disable 'build mode' unsuccessful Duplicate 01/14/2014

Associated revisions

Revision 061e34f2 - 10/24/2013 01:46 PM - Lukas Zapletal

refs #2792 - Adding comments to pxe templates

Revision c40a0f07 - 10/25/2013 03:47 PM - Lukas Zapletal

refs #2792 - Adding comments to pxe templates

(cherry picked from commit 061e34f25131647fe6af0654cdbd492eb64ad402)

History

#1 - 07/22/2013 09:47 AM - Greg Sutcliffe

As we don't have an "undeleteable" feature for templates, I'm not sure this is a strong enough use case to implement one. It could be sensible to have

some internal string which could be used if the template is not found, though. Any objections?

#2 - 07/23/2013 03:55 AM - Lukas Zapletal

- Category set to Templates

- Target version set to 1.3.0

Can't we just implement ON DELETE ERROR instead default ON DELETE NULL for this one?

#3 - 07/23/2013 05:21 AM - Greg Sutcliffe

We could, yes. I'm happy with either approach, tbh.
#4 - 07/25/2013 02:47 AM - Florian Rosenegger

Hello again,

i would also be happy if Foreman would just post a message that it is missing this special template (maybe with a hint to create one with the default

name..)

My problem was that i just couldn't cancel the build but there was none whatsoever reason why (even in the log) and without Ohad and the IRC i

wouldn't had a single idea what the error means.

The undeleteable feature for important templates was just one idea, but maybe/definitely not the best.

#5 - 09/16/2013 12:03 PM - Lukas Zapletal

- Description updated

- Target version deleted (1.3.0)

#6 - 10/18/2013 07:43 AM - Dominic Cleal

- Has duplicate Bug #2215: When PXE Localboot Default is deleted, causes nil error when cancelling build added

#7 - 10/18/2013 07:43 AM - Dominic Cleal

- Related to Feature #3103: Read only provisioning/config templates for plugins added

#8 - 10/24/2013 01:44 PM - Lukas Zapletal

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Target version set to 1.15.0

- translation missing: en.field_release set to 1

- Difficulty set to trivial

At least, I am adding comment to the templates.

https://github.com/theforeman/foreman/pull/977

#9 - 10/24/2013 01:49 PM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Lukas Zapletal)

- Target version deleted (1.15.0)

- translation missing: en.field_release deleted (1)

- Difficulty deleted (trivial)

Sorry, I'm going to reset this as I don't think this is a final solution to the issue, helpful though it is.  Thanks Lukas.

#10 - 01/14/2014 08:27 AM - Dominic Cleal

- Has duplicate Bug #4008: Disable 'build mode' unsuccessful added

#11 - 09/17/2014 03:32 AM - Dominic Cleal

- Related to Feature #7484: Per-subnet PXELinux global default files added
